/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *    
 *   Copyright (C) 2001-2006  by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or 
 *   modify it under the terms of the GNU General Public License as 
 *   published by the Free Software Foundation; either version 2 of 
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details. 
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@gmx.de
 *    Borg Enders  borg@borgsoft.de
 *
 **********************************************************************/

#ifdef USE_UI_GTKMM

#ifndef GTKMM_MARRIAGE_INFO_HEADER
#define GTKMM_MARRIAGE_INFO_HEADER

#include "gameinfo_dialog.h"

class Player;

namespace Gtk {
  class Image;
  class Lagel;
}; // namespace Gtk

namespace UI_GTKMM_NS {
  class Table;

  /**
   **
   ** @brief	marriage information dialog
   **
   ** @author	Diether Knof
   **
   **/
  class MarriageInfo : public GameinfoDialog {
    public:
      MarriageInfo(Table* const table);

      ~MarriageInfo();

      void show_information(Player const& bridegroom, Player const& bride);

      void name_changed(Player const& player);
      
    private:
      void init();

    private:
      Gtk::Image* icon;
      Gtk::Label* text;

      Player const* bridegroom;
      Player const* bride;

    private: // unused
      MarriageInfo();
      MarriageInfo(MarriageInfo const&);
      MarriageInfo& operator=(MarriageInfo const&);
  }; // class MarriageInfo : public GameinfoDialog

} // namespace UI_GTKMM_NS

#endif // #ifdef GTKMM_MARRIAGE_INFO_HEADER

#endif // #ifdef USE_UI_GTKMM
